/*
ALTER TABLE app_mygarden
ADD FOREIGN KEY (plant_id) REFERENCES app_plants(id);
*/

select 
	app_plants.id, 
	app_plants.scientific_name, 
	app_plants.popular_name, 
	app_plants.cover, 
	app_plants.post_at, 
	app_plants.category_id, 
	app_categories.title as category_title,
    app_categories.order_by as order_by
from app_plants 
inner join app_categories on app_categories.id = app_plants.category_id 
inner join relationship_plants_climate on relationship_plants_climate.plant_id = app_plants.id 
inner join relationship_plants_environments on relationship_plants_environments.plant_id = app_plants.id 
inner join relationship_plants_luminosity on relationship_plants_luminosity.plant_id = app_plants.id 
inner join relationship_plants_height on relationship_plants_height.plant_id = app_plants.id 
inner join relationship_plants_timetocare on relationship_plants_timetocare.plant_id = app_plants.id 
inner join relationship_plants_ventilation on relationship_plants_ventilation.plant_id = app_plants.id 
where app_plants.category_id in(15,7,2,3)
and relationship_plants_climate.climate_id in(10) 
and relationship_plants_environments.environments_id in(5) 
and relationship_plants_luminosity.luminosity_id in(3,4,5) 
and relationship_plants_height.height_id in(3,4,5) 
and relationship_plants_timetocare.timetocare_id in(4) 
and relationship_plants_ventilation.ventilation_id in(5,6,7)
group by app_plants.popular_name
order by order_by, app_plants.popular_name ASC;
